package space.nstart.pcp.pcp_types_lib.dto.ballistics

import space.nstart.pcp.pcp_types_lib.utils.UtcDateTimes
import java.time.LocalDateTime

class ObjViewRequestDTO(
    val satellites : List<Long> = listOf(),
    val timeStart : LocalDateTime = UtcDateTimes.now(),
    val timeStop : LocalDateTime = UtcDateTimes.now(),
    val obj : ObjDTO = ObjDTO(),
    val sunAngleMin : Double? = null,
    val rollMin : Double? = null,
    val rollMax : Double? = null
) {
}